Reference Data
Reference data made available to support the usage of the Airwallex platform.
GET /api/v1/reference/industry_categoriesGET /api/v1/reference/invalid_conversion_datesGET /api/v1/reference/order_items/expiring_quotaGET /api/v1/reference/order_items/quotaPOST /api/v1/reference/order_items/uploadGET /api/v1/reference/supported_currencies
Industry categories
GET /api/v1/reference/industry_categories
Get a tree of industry categories and associated subcategories and level 3 categories
Name of industry category.
List of industry subcategories associated with the industry category.
Name of industry subcategory.
List of industry third-level categories associated with the industry subcategory.
Name of industry third-level category.
Type of industry category.
industry_category_level3
Type of industry category.
industry_sub_category
Type of industry category.
industry_category
| Error status | Description |
|---|---|
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request GET \> --url 'https://api-demo.airwallex.com/api/v1/reference/industry_categories' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1[2 {3 "name": "<string>",4 "sub_items": [5 {6 "sub_items": []7 }8 ],9 "type": "industry_category"10 }11]
Invalid conversion dates
GET /api/v1/reference/invalid_conversion_dates
Gets a list of invalid conversion dates for a specified currency_pair.
Currency pair to get the invalid conversion dates for
Currency pair that the invalid conversion dates are applicable to
List of invalid conversion dates
The invalid conversion date
Reason as to why the date is invalid
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request GET \> --url 'https://api-demo.airwallex.com/api/v1/reference/invalid_conversion_dates' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "currency_pair": "AUDUSD",3 "invalid_conversion_dates": [4 {5 "date": "2017-12-25",6 "reason": "Christmas Day"7 }8 ]9}
Get expiring transfer or deposit limit
GET /api/v1/reference/order_items/expiring_quota
Get available transfer or deposit limit that is about to expire in the next week
type
CN_INBOUND, ID_OUTBOUND, VN_OUTBOUND
Currency of the account order amount
Expired date for this these order amount
Expiring available order amount of the account
| Error status | Description |
|---|---|
| 400 | Bad request. Data provided is either incomplete or malformed. |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request GET \> --url 'https://api-demo.airwallex.com/api/v1/reference/order_items/expiring_quota' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "currency": "CNY",3 "expire_by": "2021-09-16",4 "expiring_order_amount": 10005}
Get transfer or deposit limit
GET /api/v1/reference/order_items/quota
Get available transfer or deposit limit
type
CN_INBOUND, ID_OUTBOUND, VN_OUTBOUND
Available order amount of the account
Currency of the account order amount
history order amount of the account
| Error status | Description |
|---|---|
| 400 | Bad request. Data provided is either incomplete or malformed. |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request GET \> --url 'https://api-demo.airwallex.com/api/v1/reference/order_items/quota' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "available_order_amount": 1000,3 "currency": "CNY",4 "history_order_amount": 10005}
Increase transfer or deposit limit
POST /api/v1/reference/order_items/upload
Increase your transfer or deposit limit by providing cross-border sales order information. Before uploading, please learn about payout limits or deposit limits .
Type CN_INBOUND needs to be enabled before calling this endpoint, please contact your Account Manager. You may provide up to 500 items with each request.
Allow any order items that pass validation to be used for increasing the limit. If false, all order items must pass validation or the request will be rejected. Defaults to false.
Type of limit(s) to increase. Support any of CN_INBOUND, ID_OUTBOUND, defaults to CN_INBOUND
CN_INBOUND, ID_OUTBOUND, VN_OUTBOUND
Category of your sales order. One of goods_trade_online, goods_trade_offline, services_trade_education_and_training, services_trade_international_logistics, services_trade_software, services_trade_professional, services_trade_travel, services_trade_travel_and_hospitality
Order currency in ISO format, One of AED,ALL,AMD,ANG,AOA,ARS,AUD,AWG,AZN,BAM,BBD,BDT,BGN,BIF,BMD,BND,BOB,BRL,BSD,BTN,BWP,BZD,CAD,CHF,CLP,COP,CRC,CVE,CZK,DJF,DKK,DOP,DZD,EGP,ERN,ETB,EUR,FJD,FKP,GBP,GEL,GHS,GIP,GMD,GNF,GTQ,GYD,HKD,HNL,HRK,HUF,IDR,ILS,INR,ISK,JMD,JOD,JPY,KES,KGS,KHR,KMF,KRW,KWD,KYD,KZT,LAK,LBP,LKR,LRD,LSL,LYD,MAD,MDL,MGA,MKD,MNT,MOP,MRU,MUR,MVR,MWK,MXN,MYR,NAD,NIO,NOK,NPR,NZD,OMR,PAB,PEN,PGK,PHP,PKR,PLN,PYG,QAR,RON,RSD,RWF,SAR,SBD,SCR,SEK,SGD,SHP,SLL,SRD,STN,SVC,SZL,THB,TJS,TMT,TND,TOP,TRY,TTD,TWD,TZS,UAH,UGX,USD,UYU,UZS,VND,VUV,WST,XAF,XCD,XOF,XPF,ZAR,ZMW
Item name (min. 2 character and max. 256 characters)
Quantity of the item, must be an integer
Item's unit price
URL of the item (min. 1 characters and max. 1000 characters)
Line total of the item
Order date time in ISO format, (formatted in ISO08601 datetime format), no more than 350 days old
Order unique identifier (min. 1 characters and max. 50 characters)
Name of the logistics provider
Tracking number issued by the logistics provider (min. 5 characters and max. 35 characters)
Description of the order
Short reference for reconciliation purposes, which will not be passed to external parties
OK
| Error status | Description |
|---|---|
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api-demo.airwallex.com/api/v1/reference/order_items/upload' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '[> {> "category": "goods_trade_online",> "currency": "IDR",> "description": "book",> "item_name": "book",> "item_quantity": 1,> "item_reference": "ac3342a4a9434ba69a91bb1c9966b477",> "item_unit_price": 19.38,> "item_url": "<string>",> "line_total": 100,> "order_datetime": "2021-09-16T03:52:34+0000",> "order_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",> "shipment_provider": "<string>",> "shipment_tracking_number": "EG420386995JP"> }>]'
Supported currencies
GET /api/v1/reference/supported_currencies
Gets the client-specific list of currencies that can be bought or sold.
Supported currencies for conversion
List of buyable currencies
List of sellable currencies
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request GET \> --url 'https://api-demo.airwallex.com/api/v1/reference/supported_currencies' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "conversion": {3 "buy_currencies": [4 "AUD",5 "CAD",6 "EUR",7 "GBP",8 "HKD",9 "JPY",10 "NZD",11 "SGD",12 "USD",13 "CNY"14 ],15 "sell_currencies": [16 "AUD",17 "CAD",18 "EUR",19 "GBP",20 "HKD",21 "JPY",22 "NZD",23 "SGD",24 "USD",25 "CNY"26 ]27 }28}